SQLite3::createFunction
SQLite3::exec
SQLite3
PHP Manual

# SQLite3::escapeString

(No version information available, might be only in CVS)

SQLite3::escapeString — Returns a string that has been properly escaped

### Beschreibung

public string SQLite3::escapeString ( string `$value` )

Returns a string that has been properly escaped for safe inclusion in an SQL statement.

### Parameter-Liste

`value`

  The string to be escaped.

### Rückgabewerte

Returns a properly escaped string that may be used safely in an SQL statement.

### Anmerkungen

Warnung

addslashes() should NOT be used to quote your strings for SQLite queries; it will lead to strange results when retrieving your data.

SQLite3::createFunction
SQLite3::exec
SQLite3
PHP Manual